<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.izouma.awesomeadmin.dao.CustomerServiceMapper">
    <resultMap id="BaseResultMap" type="com.izouma.awesomeadmin.model.CustomerService">
        <id column="id" property="id" jdbcType="INTEGER"/>
        <result column="del_flag" property="delFlag" jdbcType="CHAR"/>
        <result column="update_time" property="updateTime" jdbcType="TIMESTAMP"/>
        <result column="update_user" property="updateUser" jdbcType="VARCHAR"/>
        <result column="create_time" property="createTime" jdbcType="TIMESTAMP"/>
        <result column="create_user" property="createUser" jdbcType="VARCHAR"/>
        <result column="store_id" property="storeId" jdbcType="VARCHAR"/>
        <result column="service_name" property="serviceName" jdbcType="VARCHAR"/>
        <result column="password" property="password" jdbcType="VARCHAR"/>
        <result column="username" property="username" jdbcType="VARCHAR"/>
        <result column="icon" property="icon" jdbcType="VARCHAR"/>
        <result column="use_flag" property="useFlag" jdbcType="CHAR"/>
        <result column="status_flag" property="statusFlag" jdbcType="INTEGER"/>
        <result column="login_time" property="loginTime" jdbcType="TIMESTAMP"/>
    </resultMap>
    <sql id="Base_Column_List">
        <trim suffixOverrides=",">
            id,

            del_flag,

            update_time,

            update_user,

            create_time,

            create_user,

            store_id,

            service_name,

            password,

            username,

            icon,

            use_flag,

            status_flag,

            login_time,

        </trim>
    </sql>
    <select id="selectByPrimaryKey" resultMap="BaseResultMap" parameterType="java.lang.Integer">
        select
        <include refid="Base_Column_List"/>
        from customer_service
        where id = #{id,jdbcType=INTEGER}
    </select>
    <delete id="deleteByPrimaryKey" parameterType="java.lang.Integer">
        delete from customer_service
        where id = #{id,jdbcType=INTEGER}
    </delete>
    <insert id="insertSelective" parameterType="com.izouma.awesomeadmin.model.CustomerService" useGeneratedKeys="true"
            keyProperty="id">
        insert into customer_service
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="id!= null">
                id,
            </if>
            <if test="delFlag!= null">
                del_flag,
            </if>
            <if test="updateTime!= null">
                update_time,
            </if>
            <if test="updateUser!= null">
                update_user,
            </if>
            <if test="createTime!= null">
                create_time,
            </if>
            <if test="createUser!= null">
                create_user,
            </if>
            <if test="storeId!= null">
                store_id,
            </if>
            <if test="serviceName!= null">
                service_name,
            </if>
            <if test="password!= null">
                password,
            </if>
            <if test="username!= null">
                username,
            </if>
            <if test="icon!= null">
                icon,
            </if>
            <if test="useFlag!= null">
                use_flag,
            </if>
            <if test="statusFlag!= null">
                status_flag,
            </if>
            <if test="loginTime!= null">
                login_time,
            </if>
        </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="id != null">
                #{id,jdbcType=INTEGER},
            </if>
            <if test="delFlag != null">
                #{delFlag,jdbcType=CHAR},
            </if>
            <if test="updateTime != null">
                #{updateTime,jdbcType=TIMESTAMP},
            </if>
            <if test="updateUser != null">
                #{updateUser,jdbcType=VARCHAR},
            </if>
            <if test="createTime != null">
                #{createTime,jdbcType=TIMESTAMP},
            </if>
            <if test="createUser != null">
                #{createUser,jdbcType=VARCHAR},
            </if>
            <if test="storeId != null">
                #{storeId,jdbcType=VARCHAR},
            </if>
            <if test="serviceName != null">
                #{serviceName,jdbcType=VARCHAR},
            </if>
            <if test="password != null">
                #{password,jdbcType=VARCHAR},
            </if>
            <if test="username != null">
                #{username,jdbcType=VARCHAR},
            </if>
            <if test="icon != null">
                #{icon,jdbcType=VARCHAR},
            </if>
            <if test="useFlag != null">
                #{useFlag,jdbcType=CHAR},
            </if>
            <if test="statusFlag != null">
                #{statusFlag,jdbcType=INTEGER},
            </if>
            <if test="loginTime != null">
                #{loginTime,jdbcType=TIMESTAMP},
            </if>
        </trim>
    </insert>
    <update id="updateByPrimaryKeySelective" parameterType="com.izouma.awesomeadmin.model.CustomerService">
        update customer_service
        <set>
            <if test="id != null">
                id= #{id,jdbcType=INTEGER},
            </if>
            <if test="delFlag != null">
                del_flag= #{delFlag,jdbcType=CHAR},
            </if>
            <if test="updateTime != null">
                update_time= #{updateTime,jdbcType=TIMESTAMP},
            </if>
            <if test="updateUser != null">
                update_user= #{updateUser,jdbcType=VARCHAR},
            </if>
            <if test="createTime != null">
                create_time= #{createTime,jdbcType=TIMESTAMP},
            </if>
            <if test="createUser != null">
                create_user= #{createUser,jdbcType=VARCHAR},
            </if>
            <if test="storeId != null">
                store_id= #{storeId,jdbcType=VARCHAR},
            </if>
            <if test="serviceName != null">
                service_name= #{serviceName,jdbcType=VARCHAR},
            </if>
            <if test="password != null">
                password= #{password,jdbcType=VARCHAR},
            </if>
            <if test="username != null">
                username= #{username,jdbcType=VARCHAR},
            </if>
            <if test="icon != null">
                icon= #{icon,jdbcType=VARCHAR},
            </if>
            <if test="useFlag != null">
                use_flag= #{useFlag,jdbcType=CHAR},
            </if>
            <if test="statusFlag != null">
                status_flag= #{statusFlag,jdbcType=INTEGER},
            </if>
            <if test="loginTime != null">
                login_time= #{loginTime,jdbcType=TIMESTAMP},
            </if>
        </set>
        where
        <if test="id != null and !&quot;&quot;.equals(id)">
            id = #{id,jdbcType=INTEGER}
        </if>

        <if test="idStr != null and !&quot;&quot;.equals(idStr)">
            id in (${idStr})
        </if>

    </update>
    <select id="queryCustomerServiceByPage" parameterType="java.util.Map"
            resultType="com.izouma.awesomeadmin.model.CustomerService">
        select
        <include refid="Base_Column_List"/>
        from customer_service
        <where>
            and del_flag = 'N'
            <if test="record.idStr != null and !&quot;&quot;.equals(record.idStr)">
                and id in (${record.idStr})
            </if>
            <if test="record.id != null and !&quot;&quot;.equals(record.id)">
                and id = #{record.id}
            </if>
            <if test="record.delFlag != null and !&quot;&quot;.equals(record.delFlag)">
                and del_flag = #{record.delFlag}
            </if>
            <if test="record.updateTime != null and !&quot;&quot;.equals(record.updateTime)">
                and update_time = #{record.updateTime}
            </if>
            <if test="record.updateUser != null and !&quot;&quot;.equals(record.updateUser)">
                and update_user = #{record.updateUser}
            </if>
            <if test="record.createTime != null and !&quot;&quot;.equals(record.createTime)">
                and create_time = #{record.createTime}
            </if>
            <if test="record.createUser != null and !&quot;&quot;.equals(record.createUser)">
                and create_user = #{record.createUser}
            </if>
            <if test="record.storeId != null and !&quot;&quot;.equals(record.storeId)">
                and store_id = #{record.storeId}
            </if>
            <if test="record.serviceName != null and !&quot;&quot;.equals(record.serviceName)">
                and service_name = #{record.serviceName}
            </if>
            <if test="record.password != null and !&quot;&quot;.equals(record.password)">
                and password = #{record.password}
            </if>
            <if test="record.username != null and !&quot;&quot;.equals(record.username)">
                and username = #{record.username}
            </if>
            <if test="record.icon != null and !&quot;&quot;.equals(record.icon)">
                and icon = #{record.icon}
            </if>
            <if test="record.useFlag != null and !&quot;&quot;.equals(record.useFlag)">
                and use_flag = #{record.useFlag}
            </if>
            <if test="record.statusFlag != null and !&quot;&quot;.equals(record.statusFlag)">
                and status_flag = #{record.statusFlag}
            </if>
            <if test="record.loginTime != null and !&quot;&quot;.equals(record.loginTime)">
                and login_time = #{record.loginTime}
            </if>
            <if test="record.searchKey != null and !&quot;&quot;.equals(record.searchKey)">
                <trim prefix="and (" suffix=")" prefixOverrides="OR">
                    OR store_id LIKE concat('%',#{record.searchKey},'%')
                    OR service_name LIKE concat('%',#{record.searchKey},'%')
                    OR password LIKE concat('%',#{record.searchKey},'%')
                    OR username LIKE concat('%',#{record.searchKey},'%')
                    OR icon LIKE concat('%',#{record.searchKey},'%')
                    OR use_flag LIKE concat('%',#{record.searchKey},'%')
                    OR status_flag LIKE concat('%',#{record.searchKey},'%')
                    OR login_time LIKE concat('%',#{record.searchKey},'%')
                </trim>
            </if>

            <if test="record.advancedQuery != null and !&quot;&quot;.equals(record.advancedQuery)">
                <foreach item="item" index="index" collection="record.advancedQuery.split('_;')">
                    <choose>
                        <when test="item.indexOf('like') != -1">
                            <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                                <if test="detailIndex == 3">
                                    concat('%',#{itemDetail},'%')
                                </if>

                                <if test="detailIndex &lt; 3">
                                    ${itemDetail}
                                </if>

                            </foreach>
                        </when>
                        <otherwise>
                            <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                                <if test="detailIndex == 3">
                                    #{itemDetail}
                                </if>

                                <if test="detailIndex &lt; 3">
                                    ${itemDetail}
                                </if>

                            </foreach>
                        </otherwise>
                    </choose>


                </foreach>


            </if>

        </where>
        order by

        <if test="record.orderByStr != null and !&quot;&quot;.equals(record.orderByStr)">


            <trim suffixOverrides=",">
                <foreach item="item" index="index" separator="," collection="record.orderByStr.split('_;')">
                    <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                        ${itemDetail}
                    </foreach>
                </foreach>
            </trim>
            ,
        </if>
        id desc
    </select>
    <select id="queryAllCustomerService" parameterType="java.util.Map"
            resultType="com.izouma.awesomeadmin.model.CustomerService">
        select
        <include refid="Base_Column_List"/>
        from customer_service
        <where>
            and del_flag = 'N'
            <if test="idStr != null and !&quot;&quot;.equals(idStr)">
                and id in (${idStr})
            </if>
            <if test="id != null and !&quot;&quot;.equals(id)">
                and id = #{id}
            </if>
            <if test="delFlag != null and !&quot;&quot;.equals(delFlag)">
                and del_flag = #{delFlag}
            </if>
            <if test="updateTime != null and !&quot;&quot;.equals(updateTime)">
                and update_time = #{updateTime}
            </if>
            <if test="updateUser != null and !&quot;&quot;.equals(updateUser)">
                and update_user = #{updateUser}
            </if>
            <if test="createTime != null and !&quot;&quot;.equals(createTime)">
                and create_time = #{createTime}
            </if>
            <if test="createUser != null and !&quot;&quot;.equals(createUser)">
                and create_user = #{createUser}
            </if>
            <if test="storeId != null and !&quot;&quot;.equals(storeId)">
                and store_id = #{storeId}
            </if>
            <if test="serviceName != null and !&quot;&quot;.equals(serviceName)">
                and service_name = #{serviceName}
            </if>
            <if test="password != null and !&quot;&quot;.equals(password)">
                and password = #{password}
            </if>
            <if test="username != null and !&quot;&quot;.equals(username)">
                and username = #{username}
            </if>
            <if test="icon != null and !&quot;&quot;.equals(icon)">
                and icon = #{icon}
            </if>
            <if test="useFlag != null and !&quot;&quot;.equals(useFlag)">
                and use_flag = #{useFlag}
            </if>
            <if test="statusFlag != null and !&quot;&quot;.equals(statusFlag)">
                and status_flag = #{statusFlag}
            </if>
            <if test="loginTime != null and !&quot;&quot;.equals(loginTime)">
                and login_time = #{loginTime}
            </if>
            <if test="searchKey != null and !&quot;&quot;.equals(searchKey)">
                <trim prefix="and (" suffix=")" prefixOverrides="OR">
                    OR store_id LIKE concat('%',#{searchKey},'%')
                    OR service_name LIKE concat('%',#{searchKey},'%')
                    OR password LIKE concat('%',#{searchKey},'%')
                    OR username LIKE concat('%',#{searchKey},'%')
                    OR icon LIKE concat('%',#{searchKey},'%')
                    OR use_flag LIKE concat('%',#{searchKey},'%')
                    OR status_flag LIKE concat('%',#{searchKey},'%')
                    OR login_time LIKE concat('%',#{searchKey},'%')
                </trim>
            </if>
            <if test="advancedQuery != null and !&quot;&quot;.equals(advancedQuery)">
                <foreach item="item" index="index" collection="advancedQuery.split('_;')">
                    <choose>
                        <when test="item.indexOf('like') != -1">
                            <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                                <if test="detailIndex == 3">
                                    concat('%',#{itemDetail},'%')
                                </if>

                                <if test="detailIndex &lt; 3">
                                    ${itemDetail}
                                </if>

                            </foreach>
                        </when>
                        <otherwise>
                            <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                                <if test="detailIndex == 3">
                                    #{itemDetail}
                                </if>

                                <if test="detailIndex &lt; 3">
                                    ${itemDetail}
                                </if>

                            </foreach>
                        </otherwise>
                    </choose>


                </foreach>


            </if>
        </where>
        order by

        <if test="orderByStr != null and !&quot;&quot;.equals(orderByStr)">


            <trim suffixOverrides=",">
                <foreach item="item" index="index" separator="," collection="orderByStr.split('_;')">
                    <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                        ${itemDetail}
                    </foreach>
                </foreach>
            </trim>
            ,
        </if>

        id desc
    </select>
    <select id="queryCustomerService" parameterType="java.util.Map"
            resultType="com.izouma.awesomeadmin.model.CustomerService">
        select
        <include refid="Base_Column_List"/>
        from customer_service
        <where>
            and del_flag = 'N'
            <if test="id != null and !&quot;&quot;.equals(id)">
                and id = #{id}
            </if>
            <if test="delFlag != null and !&quot;&quot;.equals(delFlag)">
                and del_flag = #{delFlag}
            </if>
            <if test="updateTime != null and !&quot;&quot;.equals(updateTime)">
                and update_time = #{updateTime}
            </if>
            <if test="updateUser != null and !&quot;&quot;.equals(updateUser)">
                and update_user = #{updateUser}
            </if>
            <if test="createTime != null and !&quot;&quot;.equals(createTime)">
                and create_time = #{createTime}
            </if>
            <if test="createUser != null and !&quot;&quot;.equals(createUser)">
                and create_user = #{createUser}
            </if>
            <if test="storeId != null and !&quot;&quot;.equals(storeId)">
                and store_id = #{storeId}
            </if>
            <if test="serviceName != null and !&quot;&quot;.equals(serviceName)">
                and service_name = #{serviceName}
            </if>
            <if test="password != null and !&quot;&quot;.equals(password)">
                and password = #{password}
            </if>
            <if test="username != null and !&quot;&quot;.equals(username)">
                and username = #{username}
            </if>
            <if test="icon != null and !&quot;&quot;.equals(icon)">
                and icon = #{icon}
            </if>
            <if test="useFlag != null and !&quot;&quot;.equals(useFlag)">
                and use_flag = #{useFlag}
            </if>
            <if test="statusFlag != null and !&quot;&quot;.equals(statusFlag)">
                and status_flag = #{statusFlag}
            </if>
            <if test="loginTime != null and !&quot;&quot;.equals(loginTime)">
                and login_time = #{loginTime}
            </if>

        </where>
        LIMIT 1
    </select>
    <update id="delete">
        UPDATE customer_service SET del_flag = 'Y'
        where
        <if test="id != null and !&quot;&quot;.equals(id)">
            id = #{id}
        </if>

        <if test="idStr != null and !&quot;&quot;.equals(idStr)">
            id in (${idStr})
        </if>
    </update>
    <select id="query" parameterType="java.util.Map" resultType="com.izouma.awesomeadmin.model.CustomerService">
        select
        <include refid="Base_Column_List"/>
        from customer_service
        <where>
            and del_flag = 'N'
        </where>
        order by id desc
    </select>
    <select id="getRecentlyLoginList" parameterType="java.util.Map"
            resultType="com.izouma.awesomeadmin.model.CustomerService">
        select
        <include refid="Base_Column_List"/>
        from customer_service
        <where>
            and del_flag = 'N'
            and use_flag = 'Y'
            <if test="storeId != null and !&quot;&quot;.equals(storeId)">
                and store_id = #{storeId}
            </if>
        </where>
        order by login_time desc
        LIMIT 3
    </select>
</mapper>

